## Script (Python) "close"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=REQUEST,transition='close'
##title=
##
# $Id: close.py 1348 2007-01-25 17:06:21Z henrik $
"""
closes object
"""

mtool = context.portal_membership
member = mtool.getAuthenticatedMember()

#if str(member) not in ('admin','joachim') or transition is None:
#    return 'Forbidden!'

if not context.isSectionOfficer() or transition is None:
    return 'Forbidden!'

import logging
logger = logging.getLogger('Skins.close')

pm = context.portal_membership
member = pm.getAuthenticatedMember()

request = context.REQUEST
wftool = context.portal_workflow
try:
    wftool.doActionFor(context,transition)
    logger.info('%s executed transition %s for %s' % (member,transition,context.getId()))
except:
    logger.info('%s tried to execute transition %s for %s, transition not allowed' % (member,transition,context.getId()))
    return 'Transition not allowed!'

return request.RESPONSE.redirect("%s" % context.absolute_url())
